@import "loader.css";
@import "nav.css";
@import "table.css";
@import "radiotabs.css";
@import "toggleswitch.css";
@import "accordion.css";

body,
body * {
  margin: 0;
  padding: 0;
  border: none;
  font-size: 1rem;
  font-family: "Lucida Grande", "Verdana", "Arial", "Helvetica", "sans-serif";
  /* box-sizing: content-box;*/
}

:root {
  --bgc-red: #99000050;
  --bgc-amber: #ffbf0050;
  --bgc-green: #00990050;
  --bgc-white: #ffffff50;
  --bgc-grey: #88888850;
  --bgc-black: #00000050;
  --bgc-navy: #00008050;

  --bgc-gen: #eeeeee;
}

/* universal elements */

::-webkit-scrollbar {
  width: 8px;
}

::-webkit-scrollbar-track {
  background: transparent;
}

::-webkit-scrollbar-thumb {
  background-color: rgba(155, 155, 155, 0.5);
  border-radius: 20px;
  border: transparent;
}

a {
  text-decoration: none;
  cursor: pointer;
  color: inherit;
}

a:visited {
  color: inherit;
}

input:focus,
button:focus,
select:focus {
  outline: none;
}

input::-ms-clear {
  display: none;
}

input[type="search"]::-webkit-search-cancel-button {
  display: none;
}

input[type="text"],
input[type="number"],
input[type="password"],
input[type="email"],
input[type="tel"],
input[type="search"],
input[type="url"],
textarea {
  border-bottom: 1px solid black;
  background-color: #fafafa;
}

input[type="text"]:focus,
input[type="number"]:focus,
input[type="password"]:focus,
input[type="email"]:focus,
input[type="tel"]:focus,
input[type="search"]:focus,
input[type="url"]:focus,
textarea:focus {
  border: none;
  background-color: #888888;
  color: #ffffff;
  padding: 0.5em;
  border-radius: 0.25em;
  box-shadow: 2px 2px 2px #00000025;
  outline: none;
}

input[type="date"],
input[type="file"] {
  border: 1px solid black;
  background-color: #f0f0f0;
}

input[type="checkbox"]:hover {
  cursor: pointer;
}

input::placeholder {
  color: #00000025;
  font-style: italic;
}

input:invalid {
  color: #ff0000;
}

input[type="number"]:invalid {
  animation: inputShake 0.3s forwards;
}

@keyframes inputShake {
  25% {
    transform: translateX(5px);
  }

  50% {
    transform: translateX(-5px);
  }

  75% {
    transform: translateX(5px);
  }

  100% {
    transform: translateX(0px);
  }
}

select {
  min-width: 5rem;
  max-width: 15em;
  width: fit-content;
  height: 1.5rem;
  border: 1px solid #aaaaaa;
  border-radius: 0.25rem;
  background-color: var(--bgc-gen);
  text-transform: capitalize;
}

select:hover {
  background-color: #dddddd;
}

ul li {
  text-align: left;
}

details {
  margin: 0.5rem;
  text-indent: 1rem;
  line-height: 1.5rem;
  margin-top: 1rem;
  padding: 1rem;
  background-color: #ffffff50;
  border: 1px solid #aaaaaa75;
  border-radius: 0.325rem;
  box-shadow: 2px 2px 1px #66666650;
}

details summary {
  text-indent: 0.25rem;
}

button {
  cursor: pointer;
}

label:hover {
  cursor: pointer;
}

/* general class */
.row {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: left;
}

.midcol {
  margin: auto;
}

.hfGrp {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: left;
  text-indent: 0;
}

div.main-list button {
  border: 5px double #55555575;
  border-radius: 0.25rem;
  padding: 0.1rem 0.5rem;
  padding-bottom: 0.25rem;
  font-size: 15px;
  background-color: #505050;
  color: #fff;
  margin-right: 1rem;
  transition-duration: 0.3s;
}

div.main-list button:hover {
  background-color: #000000;
  color: #ffff00;
  transition-duration: 0.35s;
}

div.main-list button:disabled {
  display: none;
}

div.main-list select:hover {
  background-color: #ffffff;
}

div.main-list hr {
  border-top: 3px double #00000050;
}

div.main-list a.anim {
  background: linear-gradient(to right, #999999, #999999) no-repeat;
  background-size: 0px 2px;
  background-position: right bottom;
  transition: background-size 1s;
}

div.main-list a.anim:hover {
  background: linear-gradient(to right, #eeeeee, #eeeeee) no-repeat;
  background-size: 100% 2px;
  background-position: left bottom;
}

div.straightform {
  margin: 1rem !important;
  line-height: 1.5rem;
  padding: 1rem;
  background-color: #ffffff50;
  border: 1px solid #aaaaaa75;
  border-radius: 0.325rem;
  box-shadow: 2px 2px 1px #66666650;
  text-transform: capitalize;
}

/* specific tag elements */

.bgr tr {
  height: 1.5rem;
}

.bgr * {
  font-size: 0.9rem;
}

.bg tr {
  height: 1rem;
}

.bg * {
  font-size: 0.8rem;
}

.reg tr {
  height: 2rem;
}

.sm tr {
  height: 1.5rem;
}

.sm * {
  font-size: 0.9rem;
}

.sml tr {
  height: 1rem;
}

.sml * {
  font-size: 0.8rem;
}

/* universal class */
.jump {
  cursor: pointer;
}

.crossed {
  text-decoration: line-through;
}

.panelRow {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.legend-bar {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  margin: 0px !important;
}

.legend-bar > * {
  margin: 0px !important;
}

.toleft {
  left: 0.25rem;
}

.toright {
  right: 0.25rem;
}

.sq {
  position: absolute;
  height: 1rem;
  width: 1rem;
  border-radius: 0.15rem;
  box-shadow: inset 1px 1px 1px rgba(128, 128, 128, 0.5);
}

.lineup {
  margin-top: 0.45em;
}

.bgc-red {
  background-color: var(--bgc-red);
}

.bgc-amber {
  background-color: var(--bgc-amber);
}

.bgc-green {
  background-color: var(--bgc-green);
}

.bgc-white {
  background-color: var(--bgc-white);
}

.bgc-grey {
  background-color: var(--bgc-green);
}

.bgc-black {
  background-color: var(--bgc-black);
}

.bgc-navy {
  background-color: var(--bgc-navy);
}

.c-red {
  color: #990000;
}

/* page elements with unique ID */

div.login {
  margin-left: 30vw;
  margin-top: 10vh;
  border-radius: 0.25rem;
  width: 15rem;
  height: 10rem;
  background-color: #d0d0d075;
  padding: 1.5rem;
  line-height: 1.5rem;
}

div#pause {
  position: absolute;
  height: 100vh;
  width: 100vw;
  top: 0;
  left: 0;
  z-index: 1000;
  background: none;
  display: flex;
  align-items: center;
  justify-content: center;
}

div#web {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  overflow: hidden;
  display: flex;
  flex-flow: column;
  background-color: var(--bgc-gen);
}

header * {
  padding-top: 0.25rem;
}

header {
  top: 0;
  left: 0;
  right: 0;
  height: 2.5rem;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-between;
}

div#header-left {
  display: flex;
  flex-direction: row;
  flex-flow: row;
  flex-wrap: nowrap;
  min-width: 32rem;
}

div#page-title {
  width: 50%;
  margin-left: 0.25rem;
  font-weight: bold;
  font-size: 1.5rem;
  overflow: hidden;
  text-shadow: 0px 2px 3px rgba(0, 0, 0, 0.5);
}

div#welcomeMsg {
  width: 50%;
  margin: 0;
  padding: 0;
  display: flex;
  flex-flow: column;
  flex-wrap: nowrap;
}

span#greeting {
  text-shadow: 0px -2px -3px rgba(0, 0, 0, 0.2);
  color: #888888;
  font-style: italic;
  font-family: Georgia, "Times New Roman", Times, serif;
  line-height: 0.85rem;
  text-wrap: nowrap;
}

span#cUserName {
  font-weight: bold;
  font-family:
    "Trebuchet MS", "Lucida Sans Unicode", "Lucida Grande", "Lucida Sans",
    Arial, sans-serif;
  line-height: 1rem;
  color: #444444;
  text-wrap: nowrap;
}

div#container {
  flex-grow: 1;
  min-width: 99vw;
  overflow: hidden;
  margin: 0.25rem;
  background-color: #dddddd;
  display: flex;
  flex-flow: row;
  border-radius: 0.25rem;
  box-shadow: 0px -1px 5px rgba(0, 0, 0, 0.5);
  z-index: 1;
}

div#nav-mod {
  display: none;
}

#nav-common img {
  max-width: 24px;
  max-height: 24px;
  margin-left: 0.5rem;
}

div.form {
  text-transform: capitalize;
}

div.form section {
  background-color: #ffffff50;
  border-radius: 0.25rem;
  padding: 1rem;
}

div.form div.sectionTitle {
  /* text-shadow: 1px 1px 1px #00000025; */
  text-decoration: underline;
}

div.data-act {
  height: 1.75rem;
  width: 100%;
  background-color: rgba(222, 184, 135, 0.5);
  clear: both;
  display: flex;
  justify-content: flex-start;
}

div.data-act a {
  line-height: 1.75rem;
  width: 8rem;
  display: flex;
  justify-content: space-around;
  flex-flow: column;
  font-size: 0.75rem;
  font-weight: bold;
  color: #555555;
  text-align: center;
  text-transform: capitalize;
  border-right: 1px solid #bbbbbb;
}

div.data-act a:hover {
  background-color: #66666660;
  text-shadow: 0 1px 1px rgba(255, 255, 255, 0.2);
  color: white;
  text-transform: uppercase;
}

div.data-act button {
  background-color: transparent;
  padding-left: 1rem;
  padding-right: 1rem;
  margin: 0;
  border: none;
  min-width: 7em;
  width: auto;
  height: 100%;
  text-transform: capitalize;
  line-height: 1.75rem;
  color: white;
  border-right: 1px solid #bbbbbb;
  font-size: 0.75rem;
  transition-duration: 0.3s;
}

div.data-act button:hover {
  background-color: #555555;
  text-shadow: 0 1px 1px rgba(255, 255, 255, 0.2);
  text-transform: uppercase;
  transition-duration: 0.3s;
}

div.side-panel-fold {
  height: 100%;
  width: 0.5em;
  background-color: #888888;
}

div.side-panel-fold:hover {
  width: 1rem;
  cursor: pointer;
  box-shadow: 2px 2px 2px rgba(255, 255, 255, 0.5);
  text-align: center;
}

div.side-panel-fold span {
  position: absolute;
  top: 47%;
  overflow: hidden;
  color: cornsilk;
}

div.side-panel {
  min-width: 15rem;
  width: auto;
  height: 100%;
  overflow: auto;
  background-color: #000000;
}

div.side-panel-content {
  text-align: justify;
  scrollbar-width: thin;
  color: white;
  margin: 0.25rem;
  overflow: visible;
  display: block;
}

div.side-panel-content > div {
  display: flex;
  flex-direction: column;
}

div.side-panel-content .contrast {
  overflow: hidden;
  text-align: left;
}

div.side-panel-content .contrast div {
  width: 80%;
  height: 1.5rem;
  background-color: #dddddd;
  margin: 2%;
  border-radius: 0.25rem;
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
  padding-left: 2rem;
}

div.side-panel-content .contrast div:hover {
  background-color: #eeeeee;
}

div.side-panel-content button {
  background-color: #aaaaaa75;
  color: white;
  line-height: normal;
  width: 100%;
  border-radius: 0.25rem;
  margin-top: 0.25rem;
  border: #ffffff25;
}

div.side-panel-content .searchbar {
  background-color: white;
  display: flex;
  justify-content: space-between;
  border-radius: 0.325rem;
}

div.side-panel-content .searchbar form {
  display: flex;
  justify-content: space-between;
}

div.side-panel-content .searchbar .searchbox {
  text-indent: 0.25rem;
  border: none;
  font-size: 12px;
  width: 87.5%;
  border-radius: 0.325rem;
}

div.side-panel-content input[type="search"].searchbox:focus {
  border-radius: 0.325rem 0 0 0.325rem;
  box-shadow: none;
}

div.side-panel-content .searchbar button {
  border: none;
  width: 1.5rem;
  height: 1.75rem;
  background: url("../img/search.png");
  background-size: 1.25rem 1.25rem;
  background-repeat: no-repeat;
  background-position-y: 0.25rem;
  cursor: pointer;
  font-size: 10px;
  margin-top: 0.25em;
}

div.side-panel-content div.sideSearchSection {
  display: flex;
  flex-direction: column;
  text-align: left;
  background-color: #ffffff25;
  border: 1px solid #aaaaaa75;
  padding: 0.25rem;
  border-radius: 0.325rem;
  line-height: 2em;
  margin-top: 0.25rem;
}

div.side-panel-content div.sideSearchSection input[type="search"] {
  max-width: 55%;
  width: 6em;
  margin-top: 0.25rem;
  border-radius: 0.25rem;
}

div.side-panel-content div.sideSearchSection select {
  max-width: 65%;
  width: 7em;
  margin-top: 0.25rem;
}

div.side-panel-content select {
  margin-top: 0.5rem;
  font-size: 14px;
  height: 1.25rem;
}

div.side-panel-spacer {
  bottom: 0rem;
  width: 100%;
  height: 2rem;
}

div#main-view {
  display: flex;
  flex-direction: column;
  height: 100%;
  width: 100%;
  border-left: 3px double rgba(0, 0, 0, 0.5);
}

div#content {
  display: flex;
  flex-direction: row;
  height: 97%;
}

div#act-bar {
  height: 1.75rem;
  width: 100%;
  min-height: 1.75rem;
  background-color: rgba(0, 0, 0, 0.25);
  color: white;
  clear: both;
  display: flex;
  justify-content: flex-start;
}

div#data-intercom {
  display: flex;
  flex-direction: column;
  height: 100%;
  width: 100%;
  overflow: auto;
  margin-bottom: auto;
  border-right: 3px double rgba(0, 0, 0, 0.5);
}

div#infoPane {
  display: none;
}

footer {
  margin-top: auto;
  width: 100%;
  height: 1rem;
  padding-bottom: 0.25rem;
  text-align: center;
  font-size: 0.75rem;
}

div#resMsgList {
  position: absolute;
  z-index: 999;
  right: 2rem;
  top: 5rem;
  height: fit-content;
  width: 25rem;
  max-height: 75%;
  display: flex;
  flex-direction: column;
  overflow: hidden;
}

div.resMsgCard {
  position: static;
  font-size: 1.5rem;
  font-weight: bolder;
  border-radius: 0.25rem;
  height: 5rem;
  margin-bottom: 1rem;
  display: flex;
  padding: 0rem;
  display: flex;
  justify-content: center;
  align-items: center;
}

div.alertMsg {
  border: 1px solid rgba(255, 165, 0, 0.5);
  color: orange;
  background-color: rgba(255, 165, 0, 0.25);
}

div.errMsg {
  border: 1px solid rgba(255, 0, 0, 0.5);
  color: red;
  background-color: rgba(255, 0, 0, 0.25);
}

div.successMsg {
  border: 1px solid rgba(0, 128, 0, 0.5);
  color: green;
  background-color: rgba(0, 128, 0, 0.25);
}

div.tabs {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  margin: 1rem 0 0 0.5rem !important;
}

div.tabs > div {
  margin: 0 0.5rem 0 0;
  cursor: pointer;
  padding: 0 0.5rem 0 0.5rem;
  border: 2px solid transparent;
  border-radius: 0 0.325em 0 0;
  background-color: #cccccc75;
  min-width: 7rem;
  height: 2.5rem;
  line-height: 2rem;
  transition-delay: 0.1s;
  transition-duration: 0.5s;
  display: flex;
  align-items: center;
  justify-items: center;
  justify-content: center;
  text-align: center;
}

div.tabs > div:not(.sel):hover {
  background-color: #999999;
  color: #ffffff;
  transition-delay: 0.05s;
  transition-duration: 0.25s;
}

div.tabs > div.sel {
  background-color: #00000025;
  cursor: none;
}

div.tabs button {
  border: none;
  background-color: none;
}

div.pages {
  margin-top: 0 !important;
  border: 1px solid #00000025;
  border-top: 3px solid #00000025;
}

div.spacer {
  height: 2rem;
  width: 100%;
  min-height: 2rem;
}

/* scoped classes */

/* branch */

/* sidePanel */

.acrdl {
  display: grid;
}

.acrdm {
  display: grid;
}

.acrdr {
  display: grid;
}

.panelAct li {
  margin: 0.5rem;
  padding: 0.25rem;
  text-align: center;
  width: 7rem;
  height: 2rem;
  border-radius: 0.25rem;
}

.panelAct a {
  color: black;
}

.panelOpt {
  padding: 0.25em;
  text-align: left;
  line-height: 2em;
  display: flex;
  flex-direction: column;
}

.panelOpt * {
  margin-bottom: 0.25rem;
}

.panelOpt select {
  width: 100%;
  height: 2rem;
}

/* Data */

.main-list {
  text-align: left;
  display: flex;
  flex-direction: column;
}

.main-list > h1 {
  text-indent: 0.25rem;
}

.main-list div {
  margin: 0.5rem;
}

.sectionGrp {
  padding: 0.5rem;
  border: 1px solid #00000050;
  border-radius: 0.3rem;
  box-shadow: inset;
  height: fit-content;
}

.flr {
  display: flex;
  flex-direction: row;
}

.flc {
  display: flex;
  flex-direction: column;
}

.section-title {
  text-decoration: underline;
}

div.info-card {
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.9);
  border-radius: 0.3em;
  z-index: 2;
}

.barAct {
  font-family: inherit;
}

.barTblHeader {
  font-family: inherit;
}

.msgPop {
  font-family: inherit;
}

.msgProgress {
  font-family: inherit;
}

.tblDataList {
  font-family: inherit;
}

.deleteOptions {
  border-left: 0.5rem solid #ff9966;
  border-radius: 0.25rem;
}

.deleteOptions:hover {
  background-color: #ff996675;
  box-shadow: 2px 2px #00000025;
}

.deleteSelected {
  background-color: #ff000075;
  border-color: #ff000075;
  border-radius: 0.25rem;
}

div.codingRule * {
  margin-right: 1rem;
}
